[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TPageControl.ChildClassAllowed

Determines whether the specified class can be a child control on the TPageControl instance.

## Declaration

Source position: comctrls.pp line 594

`protected function TPageControl.ChildClassAllowed(`
`ChildClass: TClass`
`):Boolean; override;`

## Arguments

`ChildClass` |  | Class reference used to create instances if the child control.

## Function result

True if an instance of ChildClass can be used as a child control.

## Description

ChildClassAllowed is an overridden method in TPageControl. It re-implements the inherited method, and returns True if the class reference in ChildClass is assigned and derived from TTabSheet. The GetLCLCapability method in the widgetset class is also called to check whether child controls are allowed for the native control on a given platform.

ChildClassAllowed is called at run-time prior to using a control as the new value for the Parent property in one of its child control. It is also used at design-time when the component tree view or property editors are created/ updated in the Lazarus IDE.

## See also

TTabSheet |  | An individual page used in TPageControl.
TWinControl.ChildClassAllowed |  | Checks whether the specified class type is allowed as a child control.
TControl.Parent |  | The control within which the control is shown.
TControl.CheckNewParent |  | Checks if this control can become a child of AParent.